Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037741
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2018-01-29 09:372018-05-09 19:29
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision53f68f05016d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037741: Ability to keep in cache the compiled Jasper Reports

DescriptionIt would be nice if the reporting engine would be able to keep in cache the compiled Jasper Reports.

See here for more information: http://wiki.openbravo.com/wiki/Projects:Jasper_Reports_Cache [^]
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038364 closedcollazoandy4 Fix deprecation warnings in financial reports using getTranslatedJasperReport(ConnectionProvider, String, String, String) 
related to feature request 0038518 closedcaristu Ability of compiling subreports with HttpSecureAppServlet.renderJR 
related to defect 0038737 closedcaristu JDK 11: [dep-ann] warning due to ReportingUtils.exportJR method 

-  Notes
(0103838)
hgbot (developer)
2018-04-12 13:09

Repository: erp/devel/pi
Changeset: 53f68f05016d4787cf7f5d46cdc79df9df6df7e2
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Apr 12 13:01:24 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/53f68f05016d4787cf7f5d46cdc79df9df6df7e2 [^]

fixes issue 37741: Ability to keep in cache the compiled Jasper Reports

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_reports/ReportReconciliation.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/report/ReportingUtils.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/ApplicationDictionaryCachedStructures.java
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/freemarker/test/GenerateComponentTest.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/BaseComponent.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelApplicationInitializer.java
M src-test/src/org/openbravo/test/AllAntTaskTests.java
M src-test/src/org/openbravo/test/base/OBBaseTest.java
M src-test/src/org/openbravo/test/reporting/AllJrxmlCompilation.java
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoiceJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportWorkRequirementDaily.java
M src/org/openbravo/erpCommon/utility/Utility.java
M src/org/openbravo/erpReports/C_OrderLinesTaxIncludedJR.jrxml
M src/org/openbravo/erpReports/C_OrderLinesTaxIncludedJR_new.jrxml
M src/org/openbravo/erpReports/RptC_Remittance.java
A modules/org.openbravo.client.application/src/org/openbravo/client/application/report/CompiledReportManager.java
A modules/org.openbravo.client.application/src/org/openbravo/client/application/report/JmxReportCache.java
A modules/org.openbravo.client.application/src/org/openbravo/client/application/report/JmxReportCacheMBean.java
A modules/org.openbravo.client.application/src/org/openbravo/client/application/report/ReportCompiler.java
A modules/org.openbravo.client.application/src/org/openbravo/client/application/report/ReportFiller.java
A src-test/src/org/openbravo/test/reporting/CompiledReportsCacheTest.java
---
(0103849)
hgbot (developer)
2018-04-12 16:15

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: e4ac43929c491b3c6c1f160a7737b3f05b6ca226
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Apr 12 16:14:55 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e4ac43929c491b3c6c1f160a7737b3f05b6ca226 [^]

related to issue 37741: fix deprecation warning

---
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.java
---
(0103868)
alostale (developer)
2018-04-13 09:21

reviewed + tested
(0104375)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-01-29 09:37 caristu New Issue
2018-01-29 09:37 caristu Assigned To => platform
2018-01-29 09:37 caristu Modules => Core
2018-01-29 09:37 caristu Triggers an Emergency Pack => No
2018-02-16 09:47 caristu Assigned To platform => caristu
2018-03-15 17:36 caristu Assigned To caristu => platform
2018-03-15 17:36 caristu Assigned To platform => caristu
2018-03-20 19:15 caristu Description Updated View Revisions
2018-04-12 13:09 hgbot Checkin
2018-04-12 13:09 hgbot Note Added: 0103838
2018-04-12 13:09 hgbot Status new => resolved
2018-04-12 13:09 hgbot Resolution open => fixed
2018-04-12 13:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/53f68f05016d4787cf7f5d46cdc79df9df6df7e2 [^]
2018-04-12 13:41 caristu Review Assigned To => alostale
2018-04-12 16:15 hgbot Checkin
2018-04-12 16:15 hgbot Note Added: 0103849
2018-04-13 09:21 alostale Note Added: 0103868
2018-04-13 09:21 alostale Status resolved => closed
2018-04-13 09:21 alostale Fixed in Version => 3.0PR18Q3
2018-04-13 11:59 caristu Relationship added related to 0038364
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104375
2018-05-18 12:51 caristu Relationship added related to 0038518
2018-06-12 11:33 caristu Relationship added related to 0038737


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker